<?php
// Handle data from admin add a book form
include('mysqli_connect.php');

// Sanitize and validate input, Had help from w3 school https://www.w3schools.com/Php/func_mysqli_real_escape_string.asp
$Name = mysqli_real_escape_string($dbc, trim($_POST['Name']));
$Brand = mysqli_real_escape_string($dbc, trim($_POST['Brand']));
$Price = floatval($_POST['Price']); // Ensure Price is a float
$imagelink = mysqli_real_escape_string($dbc, trim($_POST['imagelink']));
$Quantity = intval($_POST['Quantity']); // Ensure Quantity is an integer
$Description = mysqli_real_escape_string($dbc, trim($_POST['description']));

// Prepare the SQL query
$query = "INSERT INTO sneakers (Name, Brand, Price, imagelink, Quantity, description) 
          VALUES (?, ?, ?, ?, ?, ?)";

// Use prepared statement
$stmt = mysqli_prepare($dbc, $query);
//w3 schools https://www.w3schools.com/php/php_mysql_prepared_statements.asp
if ($stmt) {
    mysqli_stmt_bind_param($stmt, "ssdsis", $Name, $Brand, $Price, $imagelink, $Quantity, $Description);
    
    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        echo "New record inserted successfully";
    } else {
        echo "Error: " . mysqli_stmt_error($stmt);
    }
    
    // Close the statement
    mysqli_stmt_close($stmt);
} else {
    echo "Error in preparing statement: " . mysqli_error($dbc);
}
echo "<button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>";
// Close the database connection
mysqli_close($dbc);
?>